Loading...
Searching...
No Matches
CudaStencilTable Class Reference

CUDA stencil table. More...

`#include <cudaEvaluator.h>`

## Public Member Functions

| CudaStencilTable (Far::StencilTable const *stencilTable)
| CudaStencilTable (Far::LimitStencilTable const *limitStencilTable)
| ~CudaStencilTable ()
void * | GetSizesBuffer () const
void * | GetOffsetsBuffer () const
void * | GetIndicesBuffer () const
void * | GetWeightsBuffer () const
void * | GetDuWeightsBuffer () const
void * | GetDvWeightsBuffer () const
void * | GetDuuWeightsBuffer () const
void * | GetDuvWeightsBuffer () const
void * | GetDvvWeightsBuffer () const
int | GetNumStencils () const

## Static Public Member Functions

static CudaStencilTable * | Create (Far::StencilTable const *stencilTable, void *deviceContext=NULL)
static CudaStencilTable * | Create (Far::LimitStencilTable const *limitStencilTable, void *deviceContext=NULL)

## Detailed Description

CUDA stencil table.

This class is a cuda buffer representation of Far::StencilTable.

CudaEvaluator consumes this table to apply stencils

Definition at line 52 of file cudaEvaluator.h.

## Constructor & Destructor Documentation

## CudaStencilTable() [1/2]

CudaStencilTable | ( | Far::StencilTable const * | stencilTable | ) |

explicit

## CudaStencilTable() [2/2]

CudaStencilTable | ( | Far::LimitStencilTable const * | limitStencilTable | ) |

explicit

## ~CudaStencilTable()

~CudaStencilTable | ( |  | ) |

## Member Function Documentation

## Create() [1/2]

CudaStencilTable * Create | ( | Far::LimitStencilTable const * | limitStencilTable,
|  | void * | deviceContext = NULL )

inline static

Definition at line 59 of file cudaEvaluator.h.

## Create() [2/2]

CudaStencilTable * Create | ( | Far::StencilTable const * | stencilTable,
|  | void * | deviceContext = NULL )

inline static

Definition at line 54 of file cudaEvaluator.h.

## GetDuuWeightsBuffer()

void * GetDuuWeightsBuffer | ( |  | ) | const

inline

Definition at line 76 of file cudaEvaluator.h.

## GetDuvWeightsBuffer()

void * GetDuvWeightsBuffer | ( |  | ) | const

inline

Definition at line 77 of file cudaEvaluator.h.

## GetDuWeightsBuffer()

void * GetDuWeightsBuffer | ( |  | ) | const

inline

Definition at line 74 of file cudaEvaluator.h.

## GetDvvWeightsBuffer()

void * GetDvvWeightsBuffer | ( |  | ) | const

inline

Definition at line 78 of file cudaEvaluator.h.

## GetDvWeightsBuffer()

void * GetDvWeightsBuffer | ( |  | ) | const

inline

Definition at line 75 of file cudaEvaluator.h.

## GetIndicesBuffer()

void * GetIndicesBuffer | ( |  | ) | const

inline

Definition at line 72 of file cudaEvaluator.h.

## GetNumStencils()

int GetNumStencils | ( |  | ) | const

inline

Definition at line 79 of file cudaEvaluator.h.

## GetOffsetsBuffer()

void * GetOffsetsBuffer | ( |  | ) | const

inline

Definition at line 71 of file cudaEvaluator.h.

## GetSizesBuffer()

void * GetSizesBuffer | ( |  | ) | const

inline

Definition at line 70 of file cudaEvaluator.h.

## GetWeightsBuffer()

void * GetWeightsBuffer | ( |  | ) | const

inline

Definition at line 73 of file cudaEvaluator.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/cudaEvaluator.h